Post Reactions
curl --request POST \
--url https://api.datamagnet.co/api/v1/post/reactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"page": 123
}
'import requests
url = "https://api.datamagnet.co/api/v1/post/reactions"
payload = {
"url": "<string>",
"page": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', page: 123})
};
fetch('https://api.datamagnet.co/api/v1/post/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": 2,
"message": {
"reactions": [
{
"image": {
"profile_pic": "https://media.licdn.com/dms/image/...",
"profile_urn": "ACoAADRTEF0B..."
},
"subtitle": "Owner at Example Projects",
"navigation_url": "https://www.linkedin.com/in/ACoAADRTEF0B...",
"title": "Jane Smith",
"action_urn": "urn:li:fsd_profile:ACoAADRTEF0B...",
"actor": {
"company_urn": null,
"*profile_urn": "urn:li:fsd_profile:ACoAADRTEF0B..."
},
"reaction_type": "LIKE"
},
{
"image": {
"profile_pic": "https://media.licdn.com/dms/image/...",
"profile_urn": "ACoAACx8oTYB..."
},
"subtitle": "Senior Engineer at TechCorp",
"navigation_url": "https://www.linkedin.com/in/ACoAACx8oTYB...",
"title": "Alex Johnson",
"action_urn": "urn:li:fsd_profile:ACoAACx8oTYB...",
"actor": {
"company_urn": null,
"*profile_urn": "urn:li:fsd_profile:ACoAACx8oTYB..."
},
"reaction_type": "PRAISE"
},
{
"subtitle": "Product Manager | SaaS",
"navigation_url": "https://www.linkedin.com/in/ACoAACeJDbcB...",
"title": "Sofia Chen",
"action_urn": "urn:li:fsd_profile:ACoAACeJDbcB...",
"actor": {
"company_urn": null,
"*profile_urn": "urn:li:fsd_profile:ACoAACeJDbcB..."
},
"reaction_type": "LIKE"
}
],
"total": 211
}
}
Post Reactions
Retrieve reactions on a LinkedIn post — likes, praise, empathy, insightful, and more — along with each reactor’s profile for lead generation.
POST
/
api
/
v1
/
post
/
reactions
Post Reactions
Cost:10 credits / successful request.
This endpoint retrieves all reactions on a LinkedIn post. Simply provide the LinkedIn post URL and the API will return paginated reactions with user details and reaction types.
Post reactions endpoint
This endpoint allows you to get reactions from any LinkedIn post by providing its URL.Required attributes
string
required
The LinkedIn post URL. Supports multiple URL formats:
https://www.linkedin.com/posts/username_slug-activity-7430615551086850048-XXXXhttps://www.linkedin.com/posts/username_slug-ugcPost-7430527985071595520-XXXXhttps://www.linkedin.com/feed/update/urn:li:activity:7430615551086850048
Optional attributes
integer
default:"1"
Page number for pagination. Use the
cursor value from the previous response to get the next page.Response
{
"cursor": 2,
"message": {
"reactions": [
{
"image": {
"profile_pic": "https://media.licdn.com/dms/image/...",
"profile_urn": "ACoAADRTEF0B..."
},
"subtitle": "Owner at Example Projects",
"navigation_url": "https://www.linkedin.com/in/ACoAADRTEF0B...",
"title": "Jane Smith",
"action_urn": "urn:li:fsd_profile:ACoAADRTEF0B...",
"actor": {
"company_urn": null,
"*profile_urn": "urn:li:fsd_profile:ACoAADRTEF0B..."
},
"reaction_type": "LIKE"
},
{
"image": {
"profile_pic": "https://media.licdn.com/dms/image/...",
"profile_urn": "ACoAACx8oTYB..."
},
"subtitle": "Senior Engineer at TechCorp",
"navigation_url": "https://www.linkedin.com/in/ACoAACx8oTYB...",
"title": "Alex Johnson",
"action_urn": "urn:li:fsd_profile:ACoAACx8oTYB...",
"actor": {
"company_urn": null,
"*profile_urn": "urn:li:fsd_profile:ACoAACx8oTYB..."
},
"reaction_type": "PRAISE"
},
{
"subtitle": "Product Manager | SaaS",
"navigation_url": "https://www.linkedin.com/in/ACoAACeJDbcB...",
"title": "Sofia Chen",
"action_urn": "urn:li:fsd_profile:ACoAACeJDbcB...",
"actor": {
"company_urn": null,
"*profile_urn": "urn:li:fsd_profile:ACoAACeJDbcB..."
},
"reaction_type": "LIKE"
}
],
"total": 211
}
}
The post reactions model
Properties
integer | null
The next page number for pagination. Pass this value as the
page parameter in your next request. Returns null when there are no more pages.object
The response payload containing reactions.
Show Message object
Show Message object
integer
Total number of reactions on the post.
array
List of reaction objects.
Show Reaction object
Show Reaction object
string
Name of the person who reacted.
string
LinkedIn headline of the person.
string
Link to the person’s LinkedIn profile.
string
Type of reaction:
"LIKE", "PRAISE", "EMPATHY", "INTEREST", "APPRECIATION", "ENTERTAINMENT".string
URN identifier for the person’s profile.
object
Pagination
To paginate through all reactions:- Make an initial request without the
pageparameter (defaults to page 1). - Check the
cursorfield in the response. - If
cursoris notnull, make another request withpageset to thecursorvalue. - Repeat until
cursorreturnsnull.
Example
import requests
url = "https://api.datamagnet.co/api/v1/post/reactions"
headers = {"Authorization": "Bearer YOUR_API_KEY"}
page = 1
all_reactions = []
while page is not None:
response = requests.post(url, json={
"url": "https://www.linkedin.com/posts/username_slug-activity-7430615551086850048-XXXX",
"page": page
}, headers=headers)
data = response.json()
all_reactions.extend(data["message"]["reactions"])
page = data.get("cursor")
print(f"Total reactions fetched: {len(all_reactions)}")
Was this page helpful?
⌘I